Home | All Classes | Grouped Classes | Index | Search

# Class CL_Joystick

Joystick class. More...

Derived from: none
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

Attributes:

get_device_count | Returns the number of joysticks available.
get_device | Returns a joystick device.
get_keycode | Returns true if the key with the specified key code is pressed.
get_key_name | Key name for specified identifier (Joystick Button 1).

Signals:

sig_key_down | Signal emitted when a joystick button is pressed on the specified joystick.
sig_key_up | Signal emitted when a joystick button is released on the specified joystick.
sig_move | Signal emitted when specified joystick is moved.

Detailed description:

!group=Display/Input! !header=display.h!
Questions or comments, write to the ClanLib mailing list.